# tcdom-logic-vscript

TC Domination implementation in TF2 VScript.

## Install instructions
1. Drop `tcdom_logic.nut` into `tf/scripts/vscripts`. Make sure to pack it when ya compile.
2. Bring everything from `tcdom_logic.vmf` into your own map.
3. Enjoy!

## Gamemode info
Capture all three control points to win! At round start, each team snags a random point. The remaining point spawns neutral.

## Relays
That 3x3 grid of relays? Those are hooks for point ownership. When point ownership is set (either at the beginning of the round or by point capture), the appropriate relay will fire. Relay name format is `tcdom_owns_[cap]_[team]`.

## Variables
At the top of `tcdom_logic.nut` are some neato variables!

| Name             | Type | Function                                                                                                             |
| ---------------- | ---- | -------------------------------------------------------------------------------------------------------------------- |
| lockOnCap        | bool | Should points lock when capped?                                                                                      |
| respawnOnCap     | bool | Should we force respawn some team on control point capture?                                                          |
| respawnOnCapTeam | int  | If respawning on cap, which team should respawn? (0 for capturing team, 1 for other team, 2 for both teams)          |
| timerTimeLimit   | int  | How many seconds should the timer start with?                                                                        |
| timerTimeMax     | int  | How many seconds should the timer max out at?                                                                        |
| capTimeMod       | int  | How many seconds should capturing a point add to the timer?                                                          |
| respawnTimeInit  | int  | How many seconds should the initial respawn time be?                                                                 |
| respawnTimeMod   | int  | By how many seconds should capping a point change your team's respawn time? (applied in reverse to the losing team.) |
| suddenDeath      | bool | Should sudden death occur?                                                                                           |
| suddenDeathTimer | int  | How many seconds should the sudden death timer start with? (use -1 for server default.)                              |

## Credits
Another Bad Pun, Emil_Rusboi, and Kube. Licensed under [the Unlicense](https://unlicense.org).
